Page Claim on Nextdoor

This API will create (if necessary) and claim the news page at the given publication URL (e.g. https://sf.eater.com/) on Nextdoor. (Claiming a page will mark the account as the owner.) Once the claim is successful, Nextdoor will send an onboarding email to the user prompting them to reset their password for account access. Users do not need to reset their password or take further action here to begin syncing articles and for this integration to work.

  • If the page does not yet exist on Nextdoor, it is created and claimed. A page ID is returned for storage purposes.
  • If the page exists and is unclaimed, it is claimed.
  • If the page exists but is already claimed by another user, an error is returned.
  • If the page is created with the optional test flag set to true, content published by the page will not be distributed on the feed
HTTP/1.1 200 OK
{
  "page_id": 12345
}

HTTP/1.1 403 Forbidden 
Content-Type: application/json
{
  "error": "claim_failure", 
  "error_description": "The page is already owned and cannot be claimed.",
}

HTTP/1.1 400 Bad Request 
Content-Type: application/json
{
  "error": "invalid_input", 
  "error_description": "The provided input is not in ISO 3166-1 alpha-2 format.",
  "invalid_parameter: "country"
}

HTTP/1.1 400 Bad Request 
Content-Type: application/json
{
  "error": "missing_input", 
  "error_description": "Missing required input.",
  "invalid_parameters: "publication_url"
}
Query Params
string

Fully escaped in https://www.example.com format

string

How your publication will show on Nextdoor

string

A summary of your news account

string

A publicly accessible hosted url image link that can be downloaded and inserted, supported format: .gif, .jpe, .jpg, .jpeg, .webp, .png, .tif, .tiff

boolean

If true, content published by this page will not be distributed on the feed

boolean

If true, all app notifications from the page will be turned off

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain